<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

if ($params->get('apikey') != '')
{
	$apikey = $params->get('apikey');
}
else
{
	die('Google maps api key not specified, please specify in the administrator panel under Extensions -> Module Manager -> Google Maps');
}
?>
<script type="text/javascript">
	/* load + unload */
	window.onload = function () {
		initialize();
	}

	window.onunload = function () {
		GUnload;
	}
</script>

<?php
//sorts out address
$address = '';
if ($params->get('address1') != '') {
	$address .= '<p style=\'font-size: 13px; font-weight:bold;\'>'.$params->get('address1').'</p>';
}
if ($params->get('address2') != '') {
	$address .= '<p style=\'font-size: 11px;\'>'.$params->get('address2').'</p>';
}
if ($params->get('address3') != '') {
	$address .= '<p style=\'font-size: 11px;\'>'.$params->get('address3').'</p>';
}
if ($params->get('address4') != '') {
	$address .= '<p style=\'font-size: 11px;\'>'.$params->get('address4').'</p>';
}
if ($params->get('address5') != '') {
	$address .= '<p style=\'font-size: 11px;\'>'.$params->get('address5').'</p>';
}
?>

<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=<?php echo $apikey; ?>"  type="text/javascript"></script>
<script type="text/javascript">
	//<![CDATA[
	function initialize() {
		if (GBrowserIsCompatible()) {
			var map = new GMap2(document.getElementById("map_canvas"));
			map.addControl(new GSmallMapControl());
			map.addControl(new GMapTypeControl());
			map.setCenter(new GLatLng( <?php echo $params->get('lat'); ?>, <?php echo $params->get('lng'); ?>), <?php echo $params->get('zoom'); ?>);
			<?php if ($address != '') {
				echo 'map.openInfoWindowHtml(map.getCenter(), "'.$address.'")';
			} ?>
		}
	}
	//]]>
</script>
<div id="map_canvas" style="float:left; margin-top:10px; width:<?php echo $params->get('width'); ?>px; height:<?php echo $params->get('height'); ?>px; border:1px solid #333333;">&nbsp;</div>
<div class="clear"></div>